function [PL, numOfWalls, R, isIndoor] = PLmac(x_user, y_user, x_macrocell, y_macrocell, handles)
penLoss_Low = str2num(get(handles.edit14,'String'));

R = calcDist(x_user, y_user, x_macrocell, y_macrocell);
[numOfWalls, isIndoor] = findWalls(x_user, y_user, x_macrocell, y_macrocell, handles);
PL = log10((10^15.3 * (R.^37.6)).* (10.^(penLoss_Low * numOfWalls)));

% PLdb = (15.3 + 37.6*log10(R) + penLoss_Low * numOfWalls);
% PL = 10.^(PLdb/10);