function [Pmacro Pfemto] = power_adapt_SINR(handles)

Pmacro_dbm = str2num(get(handles.edit6,'String'));
Pmacro = (10^(Pmacro_dbm / 10)) / 1000;
Pfemto_max_dbm = str2num(get(handles.edit8,'String'));
Pfemto_max = (10^(Pfemto_max_dbm / 10)) / 1000;
Pfemto_def_dbm = str2num(get(handles.edit10,'String'));
Pfemto_def = (10^(Pfemto_def_dbm / 10)) / 1000;
target_SINR = str2num(get(handles.edit12,'String'));
%target_SINR = (10^(target_SINR_dBm / 10)) / 1000;

coordVectors = get(handles.figure1, 'UserData');
numOfFemtocells = min(size(coordVectors.femt_x, 2), size(coordVectors.femt_y, 2));

Pfemto_init = ones(1, numOfFemtocells) *Pfemto_def;
Pfemto_last = coordVectors.powFemto;
Pfemto=zeros(1,numOfFemtocells);

if coordVectors.it == 1
    Pfemto= Pfemto_init;
    coordVectors.it = coordVectors.it + 1;
    set(handles.figure1, 'UserData', coordVectors);
else
    currentSINR = findRangeSINR(handles);
    for i=1:numOfFemtocells
        Pfemto(i) = min((target_SINR/currentSINR(i))*Pfemto_last(i),Pfemto_max);
    end
    coordVectors.powFemto = Pfemto;
    set(handles.figure1, 'UserData', coordVectors);
    newSINR = findRangeSINR(handles);
    coordVectors = get(handles.figure1, 'UserData');
    error = (currentSINR - newSINR)/currentSINR;
    if error <= 0.05
        coordVectors.it = 5;        
    end
    coordVectors.it = coordVectors.it + 1;
    set(handles.figure1, 'UserData', coordVectors);
end
