function [Pmacro Pfemto] = power_adapt_range(handles);

Pmacro_dbm = str2num(get(handles.edit6,'String'));
Pmacro = (10^(Pmacro_dbm / 10)) / 1000;
Pfemto_max_dbm = str2num(get(handles.edit8,'String'));
Pfemto_max = (10^(Pfemto_max_dbm / 10)) / 1000;

coordVectors = get(handles.figure1, 'UserData');

numOfFemtocells = min(size(coordVectors.femt_x, 2), size(coordVectors.femt_y, 2));
numOfMacrocells = 1

Pfemto = zeros(1,numOfFemtocells);

R = str2num(get(handles.edit7,'String'));
d2D = 0;
penFloors_n = 0;
sepWalls_q = 0;
penLoss_Liw = 5;
penLoss_Low = 20;
numOfWalls = 0;
elem1 = 10^15.3 * R^37.6;
elem2 = 38.46 + 20 * log10(R);
PLf = elem2;   
for i=1:numOfFemtocells
    [PLm, numOfWallsm, distm, isIndoorm] = PLmac(coordVectors.femt_x(i), coordVectors.femt_y(i), 250.0, 217.0, handles);
    PLm;
    PLf;
    Gth = Find_angle(handles, coordVectors.femt_x(i), coordVectors.femt_y(i));
    Pad = Pmacro_dbm + Gth - PLm + PLf;
    Pfemto(i) = (10^(min(Pad, Pfemto_max_dbm) / 10)) / 1000;
end

