function [PL, numOfWalls, R, isIndoor] = PLfem(x_user, y_user, x_femtocell, y_femtocell, handles)
penFloors_n = 0;
sepWalls_q = 0;
penLoss_Liw = str2num(get(handles.edit14,'String'));
penLoss_Low = str2num(get(handles.edit13,'String'));
d2D = 0;

R = calcDist(x_user, y_user, x_femtocell, y_femtocell);
[numOfWalls, isIndoor] = findWalls(x_user, y_user, x_femtocell, y_femtocell, handles);

elem1 = 10^15.3 * (R.^37.6);
elem2 = 10^38.46 * (R.^20);

% PLdb = max(15.3 + 37.6* log10(R) , 38.46 + 20* log10(R)) + (penLoss_Low * numOfWalls);
% PL = 10.^(PLdb/10);

% elemdb_temp = max(15.3 +37.6 *log10(R), 38.46 + 10*log10(R));
% elemdb = elemdb_temp + 0.7*d2D + penLoss_Low * numOfWalls;
% PL = 10*log10(elemdb);

PL = log10((max(elem1, elem2)).* (10^(0.7*d2D) * ...
    10^(18.3*penFloors_n^((penFloors_n + 2)/(penFloors_n + 1)-0.46)) *...
    10^(sepWalls_q*penLoss_Liw) * (10.^(penLoss_Low * numOfWalls))));
%PL = 128.1 + 36.7 * log10(R);