function femto_close = femto_in_proximity(i, handles)

femto_close = 1;
coordVectors = get(handles.figure1, 'UserData');
numOfFemtocells = min(size(coordVectors.femt_x, 2), size(coordVectors.femt_y, 2));

x1_femto = coordVectors.femt_x(i);
y1_femto = coordVectors.femt_y(i);

for j=1:numOfFemtocells
    if j~=i   
         x2_femto = coordVectors.femt_x(j);
         y2_femto = coordVectors.femt_y(j);
         
         dist = sqrt((x1_femto-x2_femto)^2 + (y1_femto-y2_femto)^2);
         if dist < 30
             femto_close = femto_close + 1;
         end
    end
end