function [indoor, mode, subcarriersPerUser, numOfUsers, power] = getStats(deplID, type, handles)
subcarriersPerResBlock = 12;
modeTmp = get(handles.popupmenu6, 'String');
mode = modeTmp{get(handles.popupmenu6, 'Value')};
coordVectors = get(handles.figure1, 'UserData');
if (type == 0)
    x_coord = 250.0;
    y_coord = 217.0;
    numOfUsers = size(coordVectors.muser_x, 2);
    if (get(handles.popupmenu7, 'Value') == 2)
        numOfUsers = numOfUsers + 1;
    end
    power = 46;
else
    x_coord = coordVectors.femt_x(deplID);
    y_coord = coordVectors.femt_y(deplID);
    numOfUsers = histc(coordVectors.att_cell, deplID);
    if (get(handles.popupmenu7, 'Value') == deplID + 2)
        numOfUsers = numOfUsers + 1;
    end
    power = 20;
end
if (isIndoor(x_coord, y_coord, handles) == 0)
    indoor = 0;
else
    indoor = 1;
end
mode_selection = get(handles.popupmenu6, 'Value');
if mode_selection <= 3
    resBlocks = 100;
elseif mode_selection <= 6
    resBlocks = 75;
elseif mode_selection <= 9
    resBlocks = 50;
elseif mode_selection <= 12
    resBlocks = 25;
elseif mode_selection <= 15
    resBlocks = 15;
else
    resBlocks = 6;
end
subcarriersPerUser = subcarriersPerResBlock * resBlocks / numOfUsers;