

no_icic = [7.43E+11	4.98E+11 3.14E+11 2.14E+11]/(1e6 * 13734)

no_icic_edge = [4.60E+11 2.48E+11 1.21E+11 4.25E+10]/(1e6 * 13734)

power_con = [9.15E+11 8.13E+11 6.02E+11 4.44E+11]/(1e6 * 13734)

power_con_edge = [6.16E+11 5.26E+11 3.60E+11 2.23E+11]/(1e6 * 13734)

ifr_anaware = [2.51E+11 1.72E+11 1.07E+11 7.18E+10 ]/(1e6 * 13734)

ifr_anaware_edge = [1.57E+11 8.84E+10 4.30E+10	1.45E+10]/(1e6 * 13734)

ifr_aware = [3.44E+11 3.44E+11 3.44E+11 3.44E+11]/(1e6 * 13734)

ifr_aware_edge = [2.39E+11 2.39E+11 2.39E+11 2.39E+11]/(1e6 * 13734)

sfr_anaware = [3.45E+11 2.54E+11 1.71E+11 1.29E+11]/(1e6 * 13734)

sfr_anaware_edge = [1.56E+11 8.71E+10 4.22E+10	1.44E+10]/(1e6 * 13734)

sfr_aware = [4.26E+11 3.98E+11 3.63E+11 3.40E+11]/(1e6 * 13734)

sfr_aware_edge = [2.27E+11 2.07E+11 1.92E+11 1.87E+11]/(1e6 * 13734)

x = [5 10 20 40]
figure();
plot(x, no_icic, x, power_con, x, ifr_anaware, x, ifr_aware, x, sfr_anaware, x, sfr_aware);
set(gca,'FontSize',20);
xlabel('# of femtocells','FontSize', 24)
ylabel('Total throughput (Mbps)','FontSize', 24)
hleg1 = legend('No ICIC','Power control','IFR unaware','IFR aware','SFR unaware','SFR aware');
grid on;

figure();
plot(x, no_icic_edge, x, power_con_edge, x, ifr_anaware_edge, x, ifr_aware_edge, x, sfr_anaware_edge, x, sfr_aware_edge);
set(gca,'FontSize',20);
xlabel('# of femtocells','FontSize', 24)
ylabel('Total throughput (Mbps)','FontSize', 24)
hleg1 = legend('No ICIC','Power control','IFR unaware','IFR aware','SFR unaware','SFR aware','FontSize', 24);
grid on;



