function sum1 = interference_calc(sum1, Pfemto, i, G_f, handles)


coordVectors = get(handles.figure1, 'UserData');
inner_point = coordVectors.inner_point;
neighb_femto = femto_in_proximity(i, handles);
[row col] = size(sum1);

    if (get(handles.popupmenu9,'Value') == 1)   %none
        if (get(handles.popupmenu10,'Value') == 1 || get(handles.popupmenu10,'Value') == 2)
            sum1 = sum1 + Pfemto * G_f;
        else
            sum1 = sum1 + (Pfemto * G_f)/neighb_femto;
        end
    elseif (get(handles.popupmenu9,'Value') == 2)   %IFR
        if (get(handles.popupmenu10,'Value') == 1 )
            sum1 = sum1 + Pfemto * G_f;
        elseif (get(handles.popupmenu10,'Value') == 2 || get(handles.popupmenu10,'Value') == 3)
            sum1 = zeros(row,col);
        else 
            sum1 = sum1 + (Pfemto * G_f)/neighb_femto;
        end
    elseif (get(handles.popupmenu9,'Value') == 3)   %FFR
        if (get(handles.popupmenu10,'Value') == 1)
            sum1 = sum1 + Pfemto * G_f;
        elseif (get(handles.popupmenu10,'Value') == 4)
            sum1 = sum1 + Pfemto * G_f/neighb_femto;
        elseif (get(handles.popupmenu10,'Value') == 2)
            if coordVectors.femtocellIsInner(i)== 1 
                temp1 = Pfemto * G_f;
                temp2 = (abs(inner_point-0.5)).*temp1;
                sum1 = sum1 + temp2;
            else
                temp1 = Pfemto * G_f;
                temp2 = (inner_point+0.5).*temp1;
                sum1 = sum1 + temp2;
            end
        else
            if coordVectors.femtocellIsInner(i)== 1 
                temp1 = Pfemto * G_f/neighb_femto;
                temp2 = (abs(inner_point-0.5)).*temp1;
                sum1 = sum1 + temp2;
            else
                temp1 = Pfemto * G_f/neighb_femto;
                temp2 = (inner_point+0.5).*temp1;
                sum1 = sum1 + temp2;
            end
        end
    elseif (get(handles.popupmenu9,'Value') == 4)   %SFR
        if (get(handles.popupmenu10,'Value') == 1)
            sum1 = sum1 + Pfemto * G_f;
        elseif (get(handles.popupmenu10,'Value') == 4)
            sum1 = sum1 + Pfemto * G_f/neighb_femto;
        elseif (get(handles.popupmenu10,'Value') == 2)
            if coordVectors.femtocellIsInner(i)== 1 
                temp1 = Pfemto * G_f;
                temp2 = (abs(inner_point-0.5)).*temp1;
                sum1 = sum1 + temp2;
            else
                temp1 = Pfemto * G_f;
                temp2 = (inner_point+0.5).*temp1;
                sum1 = sum1 + temp2;
            end
        else
            if coordVectors.femtocellIsInner(i)== 1 
                temp1 = Pfemto * G_f/neighb_femto;
                temp2 = (abs(inner_point-0.5)).*temp1;
                sum1 = sum1 + temp2;
            else
                temp1 = Pfemto * G_f/neighb_femto;
                temp2 = (inner_point+0.5).*temp1;
                sum1 = sum1 + temp2;
            end
        end
    end