function sum2 = interference_calc_macro(x_user, y_user, sum2, Pmacro, handles, caller)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

coordVectors = get(handles.figure1, 'UserData');
inner_point = coordVectors.inner_point + 0.5;
outer_point = coordVectors.inner_point - 0.5;
x_macrocell = [-125 250 625 -125 250 625 -500 -125 625 1000 625 -125];
y_macrocell = [0 -217 0 434 650 434 217 868 868 217 -435 435];
femto_fr_mode = get(handles.popupmenu10,'Value');
macro_fr_mode = get(handles.popupmenu9,'Value');
% for k=1:6
%         Gain_macro_out(k) = Gain_inter_macro(x_user, y_user, x_macrocell(k), y_macrocell(k), handles);
% end

Gain_macro_out_1 = Gain_inter_macro(x_user, y_user, x_macrocell(1), y_macrocell(1), handles);
Gain_macro_out_2 = Gain_inter_macro(x_user, y_user, x_macrocell(2), y_macrocell(2), handles);
Gain_macro_out_3 = Gain_inter_macro(x_user, y_user, x_macrocell(3), y_macrocell(3), handles);
Gain_macro_out_4 = Gain_inter_macro(x_user, y_user, x_macrocell(4), y_macrocell(4), handles);
Gain_macro_out_5 = Gain_inter_macro(x_user, y_user, x_macrocell(5), y_macrocell(5), handles);
Gain_macro_out_6 = Gain_inter_macro(x_user, y_user, x_macrocell(6), y_macrocell(6), handles);
Gain_macro_out_7 = Gain_inter_macro(x_user, y_user, x_macrocell(7), y_macrocell(7), handles);
Gain_macro_out_8 = Gain_inter_macro(x_user, y_user, x_macrocell(8), y_macrocell(8), handles);
Gain_macro_out_9 = Gain_inter_macro(x_user, y_user, x_macrocell(9), y_macrocell(9), handles);
Gain_macro_out_10 = Gain_inter_macro(x_user, y_user, x_macrocell(10), y_macrocell(10), handles);
Gain_macro_out_11 = Gain_inter_macro(x_user, y_user, x_macrocell(11), y_macrocell(11), handles);
Gain_macro_out_12 = Gain_inter_macro(x_user, y_user, x_macrocell(12), y_macrocell(12), handles);


if caller == 1 % me kalese to SIMRmacro
    
    if (macro_fr_mode == 1)   %none
         sum2 = Pmacro* Gain_macro_out_1 + Pmacro* Gain_macro_out_2 +Pmacro* Gain_macro_out_3 +Pmacro* Gain_macro_out_4 ...
          + Pmacro* Gain_macro_out_5 + Pmacro* Gain_macro_out_6;

    elseif (macro_fr_mode == 2)   %IFR
        sum2 = Pmacro* Gain_macro_out_7 + Pmacro* Gain_macro_out_8 +Pmacro* Gain_macro_out_9 +Pmacro* Gain_macro_out_10 ...
            + Pmacro* Gain_macro_out_11 + Pmacro* Gain_macro_out_12;
    
    elseif (macro_fr_mode == 3)   %FFR
        sum2in = Pmacro* Gain_macro_out_1 + Pmacro* Gain_macro_out_2 +Pmacro* Gain_macro_out_3 +Pmacro* Gain_macro_out_4 ...
            + Pmacro* Gain_macro_out_5 + Pmacro* Gain_macro_out_6;
        sum2in = sum2in.*inner_point;
        sum2out = Pmacro* Gain_macro_out_7 + Pmacro* Gain_macro_out_8 +Pmacro* Gain_macro_out_9 +Pmacro* Gain_macro_out_10 ...
            + Pmacro* Gain_macro_out_11 + Pmacro* Gain_macro_out_12;
        sum2out = sum2out.*abs(outer_point);
        sum2 = sum2in + sum2out;
    
    elseif (macro_fr_mode == 4)   %SFR
        sum2in = (Pmacro/2)* Gain_macro_out_1 + (Pmacro/2)* Gain_macro_out_2 + (Pmacro/2)* Gain_macro_out_3 +(Pmacro/2)* Gain_macro_out_4 ...
            + (Pmacro/2)* Gain_macro_out_5 + (Pmacro/2)* Gain_macro_out_6;
        sum2in = sum2in.*inner_point;
        sum2out = (Pmacro/4)* Gain_macro_out_1 + (Pmacro/4)* Gain_macro_out_2 + (Pmacro/4)* Gain_macro_out_3 +(Pmacro/4)* Gain_macro_out_4 ...
            + (Pmacro/4)* Gain_macro_out_5 + (Pmacro/4)* Gain_macro_out_6;
        sum2out = sum2out.*abs(outer_point);
        sum2 = sum2in + sum2out;
        
    end
end

if caller == 2  % me kalese to SIMRfemto
    
    if (macro_fr_mode == 1)   %none
         sum2 = sum2 + Pmacro* Gain_macro_out_1 + Pmacro* Gain_macro_out_2 +Pmacro* Gain_macro_out_3 +Pmacro* Gain_macro_out_4 ...
          + Pmacro* Gain_macro_out_5 + Pmacro* Gain_macro_out_6;

    elseif (macro_fr_mode == 2)   %IFR
        if femto_fr_mode == 2 || femto_fr_mode == 3 
            sum2 = sum2 + (Pmacro/2)* Gain_macro_out_1 + Pmacro* Gain_macro_out_2 +Pmacro* Gain_macro_out_3 +Pmacro* Gain_macro_out_4 ...
            + Pmacro* Gain_macro_out_5 + Pmacro* Gain_macro_out_6;
        else
            sum2 = sum2 + (Pmacro/3)* Gain_macro_out_7 + Pmacro* Gain_macro_out_8 +Pmacro* Gain_macro_out_9 +Pmacro* Gain_macro_out_10 ...
            + Pmacro* Gain_macro_out_11 + Pmacro* Gain_macro_out_12;
        end
    
    elseif (macro_fr_mode == 3)   %FFR
        if femto_fr_mode == 2 || femto_fr_mode == 3 
            sum2in = Pmacro* Gain_macro_out_7 + Pmacro* Gain_macro_out_8 +Pmacro* Gain_macro_out_9 +Pmacro* Gain_macro_out_10 ...
              + Pmacro* Gain_macro_out_11 + Pmacro* Gain_macro_out_12;
            sum2in = sum2in.*inner_point;
            sum2out = Pmacro* Gain_macro_out_1 + Pmacro* Gain_macro_out_2 +Pmacro* Gain_macro_out_3 +Pmacro* Gain_macro_out_4 ...
                + Pmacro* Gain_macro_out_5 + Pmacro* Gain_macro_out_6;
            sum2out = sum2out.*abs(outer_point);
            sum2 = sum2 + sum2in + sum2out;
        else
            sum2 = sum2 + Pmacro* Gain_macro_out_1 + Pmacro* Gain_macro_out_2 +Pmacro* Gain_macro_out_3 +Pmacro* Gain_macro_out_4 ...
              + Pmacro* Gain_macro_out_5 + Pmacro* Gain_macro_out_6;
        end
    
    elseif (macro_fr_mode == 4)   %SFR
        if femto_fr_mode == 2 || femto_fr_mode == 3
            sum2in = Pmacro* Gain_macro_out_7 + Pmacro* Gain_macro_out_8 +Pmacro* Gain_macro_out_9 +Pmacro* Gain_macro_out_10 ...
              + Pmacro* Gain_macro_out_11 + Pmacro* Gain_macro_out_12;
            sum2in = sum2in.*inner_point;
            sum2out = (Pmacro/4)* Gain_macro_out_1 + (Pmacro/4)* Gain_macro_out_2 + (Pmacro/4)* Gain_macro_out_3 +(Pmacro/4)* Gain_macro_out_4 ...
                + (Pmacro/4)* Gain_macro_out_5 + (Pmacro/4)* Gain_macro_out_6;
            sum2out = sum2out.*abs(outer_point);
            sum2 = sum2 + sum2in + sum2out;
        else
            sum2 = sum2 + (2* Pmacro/3)* Gain_macro_out_1 + (2* Pmacro/3)* Gain_macro_out_2 + (2* Pmacro/3)* Gain_macro_out_3 +(2* Pmacro/3)* Gain_macro_out_4 ...
                + (2* Pmacro/3)* Gain_macro_out_5 + (2* Pmacro/3)* Gain_macro_out_6;
        end
        
    end
end
    
%         sum1 = sum1 + Pfemto(i) * G_f;
%     elseif (get(handles.popupmenu9,'Value') == 2)   %IFR
%         if (get(handles.popupmenu10,'Value') == 1)
%             sum1 = sum1 + Pfemto(i) * G_f;
%         else
%             sum1 = zeros(row,col);
%         end
%     elseif (get(handles.popupmenu9,'Value') == 3)   %FFR
%         if (get(handles.popupmenu10,'Value') == 1)
%             sum1 = sum1 + Pfemto(i) * G_f;
%         else
%             if coordVectors.femtocellIsInner(i)== 1 
%                 temp1 = Pfemto(i) * G_f;
%                 temp2 = (abs(inner_point-0.5)).*temp1;
%                 sum1 = sum1 + temp2;
%             else
%                 temp1 = Pfemto(i) * G_f;
%                 temp2 = (inner_point+0.5).*temp1;
%                 sum1 = sum1 + temp2;
%             end
%         end
%     elseif (get(handles.popupmenu9,'Value') == 4)   %SFR
%         if (get(handles.popupmenu10,'Value') == 1)
%             sum1 = sum1 + Pfemto(i) * G_f;
%         else
%             if coordVectors.femtocellIsInner(i)== 1 
%                 temp1 = Pfemto(i) * G_f;
%                 temp2 = (abs(inner_point-0.5)).*temp1;
%                 sum1 = sum1 + temp2;
%             else
%                 temp1 = Pfemto(i) * G_f;
%                 temp2 = (inner_point+0.5).*temp1;
%                 sum1 = sum1 + temp2;
%             end
%         end
%     end


