function resetMap(handles)

enableOptions(handles);

pause on;
pause(1);
axis([0 250*2 0 216*2]);
cla;
axis([0 250*2 0 216*2]);
imshow('images/macrocell.png');
hold on;
manhattan_env2(handles);
max_x = 250;
max_y = int16(sqrt(3)*125);
radius_fr = get(handles.edit15,'Value');

coordVectors = get(handles.figure1, 'UserData');
for i=1:length(coordVectors.femt_x)
   plot(coordVectors.femt_x(i), coordVectors.femt_y(i), 'ro', 'MarkerSize', 20); 
end
for i=1:length(coordVectors.fuser_x)
   plot(coordVectors.fuser_x(i), coordVectors.fuser_y(i), 'b.', 'MarkerSize', 15); 
end
for i=1:length(coordVectors.muser_x)
   plot(coordVectors.muser_x(i), coordVectors.muser_y(i), 'g.', 'MarkerSize', 15); 
end

if (get(handles.popupmenu9,'Value') == 3)
    %plot(max_x, max_y, 'ro', 'MarkerSize', radius_fr);
    ang=0:0.01:2*pi; 
    xp=radius_fr*cos(ang);
    yp=radius_fr*sin(ang);
    plot(double(max_x)+xp,double(max_y)+yp);
    text(max_x - 70, 100, 'SFR/FFR inner/outer border', 'FontSize', 8, 'Color', [0 0 0]);
elseif (get(handles.popupmenu9,'Value') == 4)
    %plot(max_x, max_y, 'ro', 'MarkerSize', radius_fr);
    ang=0:0.01:2*pi; 
    xp=radius_fr*cos(ang);
    yp=radius_fr*sin(ang);
    plot(double(max_x)+xp,double(max_y)+yp);
    text(max_x - 70, 100, 'SFR/FFR inner/outer border', 'FontSize', 8, 'Color', [0 0 0]);
end

numberPlot(coordVectors.femt_x, coordVectors.femt_y, 1);
numberPlot(coordVectors.fuser_x, coordVectors.fuser_y, 2);
numberPlot(coordVectors.muser_x, coordVectors.muser_y, 3);
